diff --git a/base/server/cmscore/src/com/netscape/cmscore/policy/PolicySet.java b/base/server/cmscore/src/org/dogtagpki/legacy/core/policy/PolicySet.java
similarity index 98%
rename from base/server/cmscore/src/com/netscape/cmscore/policy/PolicySet.java
rename to base/server/cmscore/src/org/dogtagpki/legacy/core/policy/PolicySet.java
index 4c16961309113ec753595d38799d96dbe79a8541..4949fcc1749281e280650b94328d9b248702c2fb 100644
--- a/base/server/cmscore/src/com/netscape/cmscore/policy/PolicySet.java
+++ b/base/server/cmscore/src/org/dogtagpki/legacy/core/policy/PolicySet.java
@@ -15,16 +15,17 @@
 // (C) 2007 Red Hat, Inc.
 // All rights reserved.
 // --- END COPYRIGHT BLOCK ---
-package com.netscape.cmscore.policy;
+package org.dogtagpki.legacy.core.policy;
 
 import java.util.Enumeration;
 import java.util.Vector;
 
+import org.dogtagpki.legacy.policy.IExpression;
+import org.dogtagpki.legacy.policy.IPolicyRule;
+import org.dogtagpki.legacy.policy.IPolicySet;
+
 import com.netscape.certsrv.apps.CMS;
 import com.netscape.certsrv.logging.ILogger;
-import com.netscape.certsrv.policy.IExpression;
-import com.netscape.certsrv.policy.IPolicyRule;
-import com.netscape.certsrv.policy.IPolicySet;
 import com.netscape.certsrv.request.IRequest;
 import com.netscape.certsrv.request.PolicyResult;
 import com.netscape.cmscore.util.Debug;
diff --git a/base/server/cmscore/src/com/netscape/cmscore/policy/SimpleExpression.java b/base/server/cmscore/src/org/dogtagpki/legacy/core/policy/SimpleExpression.java
similarity index 98%
rename from base/server/cmscore/src/com/netscape/cmscore/policy/SimpleExpression.java
rename to base/server/cmscore/src/org/dogtagpki/legacy/core/policy/SimpleExpression.java
index fa8b7df082d136fe4d88922c54cf2d1f8806e24d..15372d3af9170a18a7be026b872be1828b2044b8 100644
--- a/base/server/cmscore/src/com/netscape/cmscore/policy/SimpleExpression.java
+++ b/base/server/cmscore/src/org/dogtagpki/legacy/core/policy/SimpleExpression.java
@@ -15,14 +15,15 @@
 // (C) 2007 Red Hat, Inc.
 // All rights reserved.
 // --- END COPYRIGHT BLOCK ---
-package com.netscape.cmscore.policy;
+package org.dogtagpki.legacy.core.policy;
 
 import java.util.Enumeration;
 import java.util.Vector;
 
+import org.dogtagpki.legacy.policy.EPolicyException;
+import org.dogtagpki.legacy.policy.IExpression;
+
 import com.netscape.certsrv.apps.CMS;
-import com.netscape.certsrv.policy.EPolicyException;
-import com.netscape.certsrv.policy.IExpression;
 import com.netscape.certsrv.request.IRequest;
 import com.netscape.cmscore.util.AssertionException;
 import com.netscape.cmscore.util.Debug;
diff --git a/base/server/test/com/netscape/cmscore/app/CMSEngineDefaultStub.java b/base/server/test/com/netscape/cmscore/app/CMSEngineDefaultStub.java
index d2b7fe8b730df76ea20b3868b1ee4181b5dc4e6f..de4eb8bb6701e6cf46fac41732c7a70104e7553e 100644
--- a/base/server/test/com/netscape/cmscore/app/CMSEngineDefaultStub.java
+++ b/base/server/test/com/netscape/cmscore/app/CMSEngineDefaultStub.java
@@ -12,6 +12,10 @@ import java.util.Hashtable;
 import java.util.Locale;
 import java.util.Vector;
 
+import org.dogtagpki.legacy.policy.IGeneralNameAsConstraintsConfig;
+import org.dogtagpki.legacy.policy.IGeneralNamesAsConstraintsConfig;
+import org.dogtagpki.legacy.policy.IGeneralNamesConfig;
+import org.dogtagpki.legacy.policy.ISubjAltNameConfig;
 import org.mozilla.jss.CryptoManager.CertificateUsage;
 import org.mozilla.jss.util.PasswordCallback;
 
@@ -49,10 +53,6 @@ import com.netscape.certsrv.notification.IEmailResolverKeys;
 import com.netscape.certsrv.notification.IEmailTemplate;
 import com.netscape.certsrv.notification.IMailNotification;
 import com.netscape.certsrv.password.IPasswordCheck;
-import com.netscape.certsrv.policy.IGeneralNameAsConstraintsConfig;
-import com.netscape.certsrv.policy.IGeneralNamesAsConstraintsConfig;
-import com.netscape.certsrv.policy.IGeneralNamesConfig;
-import com.netscape.certsrv.policy.ISubjAltNameConfig;
 import com.netscape.certsrv.request.IRequest;
 import com.netscape.cmsutil.net.ISocketFactory;
 import com.netscape.cmsutil.password.IPasswordStore;
-- 
2.5.5

